ConflictHandler Class Reference
Generic RTP input queues.

To track addresses of sources conflicting with the local one. More...

`#include <iqueue.h>`

Inheritance diagram for ConflictHandler:

## Classes

struct | ConflictingTransportAddress

## Public Member Functions

ConflictingTransportAddress * | searchDataConflict (InetAddress na, tpport_t dtp)
ConflictingTransportAddress * | searchControlConflict (InetAddress na, tpport_t ctp)
void | updateConflict (ConflictingTransportAddress &ca)
void | addConflict (const InetAddress &na, tpport_t dtp, tpport_t ctp)

## Protected Member Functions

| ConflictHandler ()
virtual | ~ConflictHandler ()

## Protected Attributes

ConflictingTransportAddress * | firstConflict
ConflictingTransportAddress * | lastConflict

## Detailed Description

To track addresses of sources conflicting with the local one.

Author
  Federico Montesino Pouzols fedem.nosp@m.p@al.nosp@m.tern..nosp@m.org

## Constructor & Destructor Documentation

ConflictHandler::ConflictHandler | ( |  | ) |

inline protected

virtual ConflictHandler::~ConflictHandler | ( |  | ) |

inline protected virtual

## Member Function Documentation

void ConflictHandler::addConflict | ( | const InetAddress & | na,
|  | tpport_t | dtp,
|  | tpport_t | ctp
| ) |  |

ConflictingTransportAddress* ConflictHandler::searchControlConflict | ( | InetAddress | na,
|  | tpport_t | ctp
| ) |  |

Parameters

  na | Inet network address.
  ctp | Data transport port.

ConflictingTransportAddress* ConflictHandler::searchDataConflict | ( | InetAddress | na,
|  | tpport_t | dtp
| ) |  |

Parameters

  na | Inet network address.
  dtp | Data transport port.

void ConflictHandler::updateConflict | ( | ConflictingTransportAddress & | ca | ) |

inline

## Member Data Documentation

ConflictingTransportAddress* ConflictHandler::firstConflict

protected

ConflictingTransportAddress * ConflictHandler::lastConflict

protected

The documentation for this class was generated from the following file:

- iqueue.h